Bug 164860 - Latest kernel compiled with gcc 3.4.3, upgrade gives gcc3.4.4
Latest kernel compiled with gcc 3.4.3, upgrade gives gcc3.4.4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-01 18:24 EDT by Nicola
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 01:33:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicola 2005-08-01 18:24:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.10) Gecko/20050719 Galeon/1.3.21

Description of problem:
Latest upgrade gives kernel-2.6.12-1.1372, which has been compiled with gcc 3.4.3. Afterwards the upgrade gave us gcc 3.4.4, which is unsuitable for compiling other modules in this particular kernel, like for instance vmware one.

We definitively need a kernel-2.6.12-1.1372 compiled with gcc-3.4.4-2.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1372, gcc-3.4.4-2

How reproducible:
Always

Steps to Reproduce:
1. Upgrade kernel
2. Upgrade gcc
3. Cannot compile other modules for the same kernel
  

Actual Results:  You cannot compile other modules for the same kernel. 
Example:
Your kernel was built with "gcc" version "3.4.3", while you are trying to use 
"/usr/bin/gcc" version "3.4.4". This configuration is not recommended and VMware
Workstation may crash if you'll continue.

Expected Results:  You should compile modules as usual.

Additional info:

Latest mkinitrd-4.1.18.1-1 is installed and the initrd has been recreated
correctly.

We just need another 2.6.12 kernel recompiled with gcc 3.4.4
Comment 1 Dave Jones 2005-08-01 19:39:05 EDT
there's an errata in progress which should be built with the latest compiler.
Please be sure to test the updates-testing kernel when it appears to make sure
this got fixed correctly.

Note You need to log in before you can comment on or make changes to this bug.